/**
 * ```js
 * Plot.boxX(simpsons.map(d => d.imdb_rating))
 * ```
 *
 * Returns a horizontal boxplot mark. If the **x** option is not specified, it
 * defaults to the identity function, as when *data* is an array of numbers. If
 * the **y** option is not specified, it defaults to null; if the **y** option
 * is specified, it should represent an ordinal (discrete) value.
 */
export function boxX(data: any, options?: {}): any[];
/**
 * ```js
 * Plot.boxY(simpsons.map(d => d.imdb_rating))
 * ```
 *
 * Returns a vertical boxplot mark. If the **y** option is not specified, it
 * defaults to the identity function, as when *data* is an array of numbers. If
 * the **x** option is not specified, it defaults to null; if the **x** option
 * is specified, it should represent an ordinal (discrete) value.
 */
export function boxY(data: any, options?: {}): any[];
