/**
 * ```js
 * Plot.linearRegressionX(mtcars, {y: "wt", x: "hp"})
 * ```
 *
 * Returns a linear regression mark where *x* is the dependent variable and *y*
 * is the independent variable.
 */
export function linearRegressionX(data: any, options?: {}): LinearRegressionX;
/**
 * ```js
 * Plot.linearRegressionY(mtcars, {x: "wt", y: "hp"})
 * ```
 *
 * Returns a linear regression mark where *y* is the dependent variable and *x*
 * is the independent variable.
 */
export function linearRegressionY(data: any, options?: {}): LinearRegressionY;
declare class LinearRegressionX extends LinearRegression {
    constructor(data: any, options: any);
    _renderBand(I: any, X: any, Y: any): never;
    _renderLine(I: any, X: any, Y: any): string;
}
declare class LinearRegressionY extends LinearRegression {
    constructor(data: any, options: any);
    _renderBand(I: any, X: any, Y: any): never;
    _renderLine(I: any, X: any, Y: any): string;
}
declare class LinearRegression extends Mark {
    constructor(data: any, options?: {});
    z: any;
    ci: number;
    precision: number;
    render(index: any, scales: any, channels: any, dimensions: any, context: any): any;
}
import { Mark } from "../plot.js";
export {};
