/**
 * ```js
 * Plot.tickX(stateage, {x: "population", y: "age"})
 * ```
 *
 * Returns a new tick↕︎ with the given *data* and *options*. The following
 * channels are required:
 *
 * * **x** - the horizontal position; bound to the *x* scale
 *
 * The following optional channels are supported:
 *
 * * **y** - the vertical position; bound to the *y* scale, which must be *band*
 *
 * If the **y** channel is not specified, the tick will span the full vertical
 * extent of the plot (or facet).
 */
export function tickX(data: any, options?: {}): TickX;
/**
 * ```js
 * Plot.tickY(stateage, {y: "population", x: "age"})
 * ```
 *
 * Returns a new tick↔︎ with the given *data* and *options*. The following
 * channels are required:
 *
 * * **y** - the vertical position; bound to the *y* scale
 *
 * The following optional channels are supported:
 *
 * * **x** - the horizontal position; bound to the *x* scale, which must be
 *   *band*
 *
 * If the **x** channel is not specified, the tick will span the full vertical
 * extent of the plot (or facet).
 */
export function tickY(data: any, options?: {}): TickY;
export class TickX extends AbstractTick {
    constructor(data: any, options?: {});
    insetTop: any;
    insetBottom: any;
    _transform(selection: any, mark: any, { x }: {
        x: any;
    }): void;
    _x1(scales: any, { x }: {
        x: any;
    }): (i: any) => any;
    _x2(scales: any, { x }: {
        x: any;
    }): (i: any) => any;
    _y1({ y }: {
        y: any;
    }, { y }: {
        y: any;
    }, { marginTop }: {
        marginTop: any;
    }): any;
    _y2({ y }: {
        y: any;
    }, { y }: {
        y: any;
    }, { height, marginBottom }: {
        height: any;
        marginBottom: any;
    }): number | ((i: any) => number);
}
export class TickY extends AbstractTick {
    constructor(data: any, options?: {});
    insetRight: any;
    insetLeft: any;
    _transform(selection: any, mark: any, { y }: {
        y: any;
    }): void;
    _x1({ x }: {
        x: any;
    }, { x }: {
        x: any;
    }, { marginLeft }: {
        marginLeft: any;
    }): any;
    _x2({ x }: {
        x: any;
    }, { x }: {
        x: any;
    }, { width, marginRight }: {
        width: any;
        marginRight: any;
    }): number | ((i: any) => number);
    _y1(scales: any, { y }: {
        y: any;
    }): (i: any) => any;
    _y2(scales: any, { y }: {
        y: any;
    }): (i: any) => any;
}
declare class AbstractTick extends Mark {
    constructor(data: any, channels: any, options: any);
    render(index: any, scales: any, channels: any, dimensions: any, context: any): any;
}
import { Mark } from "../plot.js";
export {};
