/**
 * ```js
 * Plot.vector(wind, {x: "longitude", y: "latitude", length: "speed", rotate: "direction"})
 * ```
 *
 * Returns a new vector with the given *data* and *options*. If neither the
 * **x** nor **y** options are specified, *data* is assumed to be an array of
 * pairs [[*x₀*, *y₀*], [*x₁*, *y₁*], [*x₂*, *y₂*], …] such that **x** = [*x₀*,
 * *x₁*, *x₂*, …] and **y** = [*y₀*, *y₁*, *y₂*, …].
 */
export function vector(data: any, options?: {}): Vector;
/**
 * Equivalent to
 * [Plot.vector](https://github.com/observablehq/plot/blob/main/README.md#plotvectordata-options)
 * except that if the **x** option is not specified, it defaults to the identity
 * function and assumes that *data* = [*x₀*, *x₁*, *x₂*, …].
 */
export function vectorX(data: any, options?: {}): Vector;
/**
 * Equivalent to
 * [Plot.vector](https://github.com/observablehq/plot/blob/main/README.md#plotvectordata-options)
 * except that if the **y** option is not specified, it defaults to the identity
 * function and assumes that *data* = [*y₀*, *y₁*, *y₂*, …].
 */
export function vectorY(data: any, options?: {}): Vector;
export class Vector extends Mark {
    constructor(data: any, options?: {});
    length: any;
    rotate: any;
    anchor: string;
    frameAnchor: string;
    render(index: any, scales: any, channels: any, dimensions: any, context: any): any;
}
import { Mark } from "../plot.js";
