/**
 * ```js
 * Plot.rectY(athletes, Plot.binX({y: "count"}, {x: "weight"}))
 * ```
 *
 * Bins on *x*. Also groups on *y* and the first channel of *z*, *fill*, or
 * *stroke*, if any.
 *
 * @link https://github.com/observablehq/plot/blob/main/README.md#bin
 */
export function binX(outputs?: {
    y: string;
}, options?: {}): any;
/**
 * ```js
 * Plot.rectX(athletes, Plot.binY({x: "count"}, {y: "weight"}))
 * ```
 *
 * Bins on *y*. Also groups on *x* and first channel of *z*, *fill*, or
 * *stroke*, if any.
 */
export function binY(outputs?: {
    x: string;
}, options?: {}): any;
/**
 * ```js
 * Plot.rect(athletes, Plot.bin({fillOpacity: "count"}, {x: "weight", y: "height"}))
 * ```
 *
 * Bins on *x* and *y*. Also groups on the first channel of *z*, *fill*, or
 * *stroke*, if any.
 *
 * @link https://github.com/observablehq/plot/blob/main/README.md#bin
 */
export function bin(outputs?: {
    fill: string;
}, options?: {}): any;
export function maybeDenseIntervalX(options: any): any;
export function maybeDenseIntervalY(options: any): any;
