/**
 * ```js
 * Plot.normalizeX("first", {y: "Date", x: "Close", stroke: "Symbol"})
 * ```
 *
 * Like
 * [Plot.mapX](https://github.com/observablehq/plot/blob/main/README.md#plotmapxmap-options),
 * but applies the normalize map method with the given *basis*.
 */
export function normalizeX(basis: any, options: any, ...args: any[]): {
    transform: any;
    sort?: any;
};
/**
 * ```js
 * Plot.normalizeY("first", {x: "Date", y: "Close", stroke: "Symbol"})
 * ```
 *
 * Like
 * [Plot.mapY](https://github.com/observablehq/plot/blob/main/README.md#plotmapymap-options),
 * but applies the normalize map method with the given *basis*.
 */
export function normalizeY(basis: any, options: any, ...args: any[]): {
    transform: any;
    sort?: any;
};
/**
 * ```js
 * Plot.map({y: Plot.normalize("first")}, {x: "Date", y: "Close", stroke: "Symbol"})
 * ```
 *
 * Returns a normalize map method for the given *basis*, suitable for use with
 * Plot.map.
 */
export function normalize(basis: any): {
    map(I: any, S: any, T: any): void;
};
